Bug 91382 - include SASL1-compatible saslauthd
include SASL1-compatible saslauthd
Status: CLOSED WONTFIX
Product: Red Hat Raw Hide
Classification: Retired
Component: cyrus-sasl (Show other bugs)
1.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Brian Brock
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-05-21 22:53 EDT by Chris Ricker
Modified: 2007-04-18 12:53 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-07-28 23:30:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
diff to add sasl1 saslauthd support to spec (2.69 KB, patch)
2003-05-21 22:55 EDT, Chris Ricker
no flags Details | Diff
init script for saslauthd1 daemon (1.31 KB, text/plain)
2003-05-21 22:55 EDT, Chris Ricker
no flags Details

  None (edit)
Description Chris Ricker 2003-05-21 22:53:57 EDT
For applications which support SASL1 but not SASL2, it'd be useful if RH shipped
both SASL1-compatible saslauthd and SASL2-compatible saslauthd

Attached in a minute will be a diff against the current rawhide cyrus-sasl.spec
(2.1.13-3) which causes saslauthd from SASL1 to be installed as
/usr/sbin/saslauthd1, its man page as saslauthd1.8, and its state dir as
/var/run/saslauthd1

Also attached will be its init script, /etc/init.d/saslauthd1
Comment 1 Chris Ricker 2003-05-21 22:55:14 EDT
Created attachment 91876 [details]
diff to add sasl1 saslauthd support to spec
Comment 2 Chris Ricker 2003-05-21 22:55:55 EDT
Created attachment 91877 [details]
init script for saslauthd1 daemon
Comment 3 Chris Ricker 2003-05-21 23:27:47 EDT
which, of course, doesn't actually work after I get to poking it ;-)

what's really needed here is alternatives switching between SASL1 and SASL2
saslauthd, I guess

I'll try doing that later, and see if that actually works with SASL clients
Comment 4 Chris Ricker 2003-07-28 23:30:24 EDT
Now that severn's gone SASL2 for the apps I care about, I have no need for a
SASL1 saslauthd, so I'm closing this

Note You need to log in before you can comment on or make changes to this bug.